*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
    font-family: sans-serif;
}

body {
    background-color: #222;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

h1, h2 {
    border-bottom: 5px solid white;
}

#mode {
    position: absolute;
    visibility: hidden;
    display: none;
    z-index: -10;
    user-select: none;
}

.visible {
    visibility: visible;
}

.hidden {
    visibility: hidden;
}

.menu {
    position: absolute;
    background: black;
    width: 100vw;
    height: 100vh;
    z-index: 2;

    display: grid;
    grid-template-columns: repeat(2,50vw);
    grid-template-rows: 120px 50px repeat(4,calc((100vh / 3.5) - 100px));
}

.tla {
    display: grid;
    grid-template-columns: repeat(2,50%);
    grid-template-rows: repeat(3,auto);
}

.menu > .tla {
    grid-column: 2;
    grid-row: 3/6;
}

.menu > h1 {
    grid-column: 1/3;
    grid-row: 1;
}

.menu > h2 {
    font-size: 2rem;
}

.menu > h2 > .mode {
    grid-column: 1;
    grid-row: 2;
}

.menu > h2 > .background {
    grid-column: 2;
    grid-row: 2;
}

.menu > button > .easy {
    grid-column: 1;
    grid-row: 3;
}

.menu > button > .normal {
    grid-column: 1;
    grid-row: 4;
}

.menu > button > .hard {
    grid-column: 1;
    grid-row: 5;
}

.menu > .tla > .bg1 {
    grid-column: 1;
    grid-row: 1;
}

.menu > .tla > .bg2 {
    grid-column: 1;
    grid-row: 2;
}

.menu > .tla > .bg3 {
    grid-column: 1;
    grid-row: 3;
}

.menu > .tla > .bg4 {
    grid-column: 2;
    grid-row: 1;
}

.menu > .tla > .bg5 {
    grid-column: 2;
    grid-row: 2;
}

.menu > .tla > .bg6 {
    grid-column: 2;
    grid-row: 3;
}

.btn {
    align-self: center;
    justify-self: center;
    height: 50px;
    border: 5px solid white;
    border-radius: 24px;
    color: black;
    font-size: 1.5em;
}

.pvp, .pve {
    width: 600px;
}

.pvp:hover, .pve:hover {
    border: 5px solid lime;
    background: rgba(255, 255, 255, .5);
}

.easy,
.normal,
.hard {
    width: 200px;
}

.tla > .bg1,
.tla > .bg2,
.tla > .bg3,
.tla > .bg4,
.tla > .bg5,
.tla > .bg6 {
    width: 300px;
}

.tla > .bg1:hover,
.tla > .bg2:hover,
.tla > .bg3:hover,
.tla > .bg4:hover,
.tla > .bg5:hover,
.tla > .bg6:hover {
        animation: animacjaBg ease-in-out 150ms forwards;
}

.easy {
    background: rgb(0, 150, 0);
}

.normal {
    background: rgb(150, 150, 0);
}

.hard {
    background: rgb(150, 0, 0);
}

.bg1 {
    background: linear-gradient(45deg, rgb(0, 0, 0), rgb(0, 0, 0));
    color: white;
}

.bg2 {
    background: linear-gradient(135deg, rgb(255, 0, 102), rgb(126, 0, 252));/* CYBERPUNK */
}

.bg3 {
    background: linear-gradient(120deg, rgb(25, 25, 112), rgb(138, 43, 226)); /* KOSMOS */
}

.bg4 {
    background: linear-gradient(120deg, rgb(25, 25, 112), rgb(138, 43, 226)); /* MATRIX */
}

.bg5 {
    background: linear-gradient(45deg, rgb(255, 0, 0), rgb(255, 165, 0)); /* OGIEN */
}

.bg6 {
    background: linear-gradient(180deg, rgb(0, 191, 255), rgb(0, 0, 128)); /* OCEAN */
}

.easy:hover,.normal:hover,.hard:hover {
    animation: animacjaMode ease-in-out 150ms forwards;
}

@keyframes animacjaMode {
    0% { width: 200px }
    100% { width: 300px }
}

@keyframes animacjaBg {
    0% { width: 300px }
    100% { width: 400px }
}

.options {
    position: absolute;
    left: 50px;
    top: 10px;
    padding: 10px 20px;
    background: black;
    color: white;
    font-size: 2rem;
    border-radius: 24px;
    border: 5px solid white;
    z-index: 3;
}

.center {
    text-align: center;
    color: white;
}

h1 {
    position: absolute;
    left: 50;
    font-size: 5rem;
    color: white;
    font-family: sans-serif;
}
#opcjeh1 {
    position: relative;
}

#wynikpl {
    top: 20px;
}

#wynikpc {
    top: 120px;
}

.game-container {
    display: flex;
    position: relative;
    width: 600px;
    height: 400px;
    background-color: #000;
    border: 2px solid white;
    margin-top: 100px;
}

.paddle {
    position: absolute;
    width: 20px;
    height: 100px;
    background-color: white;
    justify-content: center;
    margin: 0;
}

.left {
    left: 0;
}

.right {
    right: 0;
}

.ball {
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: white;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
